package com.ruoyi.asset.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 演示视频对象 tb_demo_video
 * 
 * @author 原动力
 * @date 2023-05-06
 */
@TableName("tb_demo_video")
public class TbDemoVideo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    @Excel(name = "编号")
    @TableId("id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** 视频名称 */
    @Excel(name = "视频名称")
    @TableField("name")
    private String name;

    /** 视频类型 */
    @Excel(name = "视频类型")
    @TableField("type")
    private String type;

    /** 视频大小 */
    @Excel(name = "视频大小")
    @TableField("size")
    private String size;

    /** 视频位置 */
    @Excel(name = "视频位置")
    @TableField("url")
    private String url;

    public TbDemoVideo() {
    }

    public TbDemoVideo(String name, String type, String size, String url) {
        this.name = name;
        this.type = type;
        this.size = size;
        this.url = url;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSize(String size) 
    {
        this.size = size;
    }

    public String getSize() 
    {
        return size;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("size", getSize())
            .append("url", getUrl())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
